Skip to content
WP Engine Documentation

Submit a status report for a domain

POST
/installs/{install_id}/domains/{domain_id}/check_status
curl --request POST \
--url https://api.wpengineapi.com/v1/installs/example/domains/example/check_status \
--header 'Authorization: Basic <credentials>'

Submit a status report for a domain. Returns a report_id that can be used to check the domain’s status.

install_id
required
string format: uuid

ID of install

domain_id
required
string format: uuid

ID of domain

Accepted

Media type application/json
object
report_id
required
string format: uuid
Example
{
"report_id": "6a6d5dbd-5cac-41d5-8f3f-14a3e8ae6f76"
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "Domain status checks are rate-limited to one request every 5 seconds for each install"
}

Internal server error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable

Media type application/json